<template>
  <div>
    <nav class="bg-white shadow">
      <div class="max-w-7xl mx-auto px-4 sm:px-6 lg:px-8">
        <div class="flex items-center justify-between h-16">
          <div class="flex items-center">
            <div class="flex-shrink-0">
              <span class="font-bold uppercase">Technoloco</span>
            </div>
            <div class="hidden md:block">
              <div class="ml-10 flex items-baseline">
                <a href="#" class="active nav-link">Dashboard</a>
                <a href="#" class="nav-link">Team</a>
                <a href="#" class="nav-link">Projects</a>
                <a href="#" class="nav-link">Calendar</a>
                <a href="#" class="nav-link">Reports</a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </nav>

    <main>
      <div class="max-w-7xl mx-auto py-6 sm:px-6 lg:px-8">
        <nuxt />
      </div>
    </main>
  </div>
</template>

<style lang="scss" scoped>
.nav-link {
  @apply ml-4 px-3 py-2 rounded-md text-sm font-medium text-gray-600;
  &:hover {
    @apply text-gray-900;
  }
  &:focus {
    @apply outline-none text-gray-400;
  }

  &.active {
    @apply text-blue-700;
  }
}
</style>
